package com.persagy.apm.energy.report.monthly.detail.hotel.project.service;

import com.persagy.apm.energy.report.monthly.config.function.model.Function;
import com.persagy.apm.energy.report.monthly.detail.common.model.vo.CostItemVO;
import com.persagy.apm.energy.report.monthly.detail.common.model.vo.GroupInfo;
import com.persagy.apm.energy.report.monthly.detail.common.service.IReportCostInfoService;
import com.persagy.apm.energy.report.monthly.detail.hotel.project.model.vo.HotelProjectCostInfo;
import com.persagy.apm.energy.report.monthly.outline.model.ReportOutline;
import com.persagy.apm.energy.report.saasweb.model.vo.ReportProjectVO;

import java.util.Date;
import java.util.List;

/**
 * 酒店项目报告费用信息service接口
 *
 * @author lixing
 * @version V1.0 2021/5/30 10:26 下午
 **/
public interface IHotelProjectReportCostService extends IReportCostInfoService {
    /**
     * 获取费用信息
     *
     * @param reportOutline  报告outline对象
     * @param functionIdList 费用信息点列表
     * @return 费用信息
     * @author lixing
     * @version V1.0 2021/5/24 4:14 下午
     */
    HotelProjectCostInfo getCost(ReportOutline reportOutline, List<String> functionIdList);
}
